rte_bbdev_op_cap_turbo_dec(3)

NAME
rte_bbdev_op_cap_turbo_dec

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

uint32_t capability_flags
int8_t max_llr_modulus
uint8_t num_buffers_src
uint8_t num_buffers_hard_out
uint8_t num_buffers_soft_out

Detailed Description

List of the capabilities for the Turbo Decoder

Definition at line 853 of file rte_bbdev_op.h.

Field Documentation

  uint32_t capability_flags
Flags from rte_bbdev_op_td_flag_bitmasks

Definition at line 855 of file rte_bbdev_op.h.

  int8_t max_llr_modulus
Maximal LLR absolute value. Acceptable LLR values lie in range [-max_llr_modulus, max_llr_modulus].

Definition at line 859 of file rte_bbdev_op.h.

  uint8_t num_buffers_src
Num input code block buffers Num input code block buffers

Definition at line 861 of file rte_bbdev_op.h.

  uint8_t num_buffers_hard_out
Num hard output code block buffers

Definition at line 863 of file rte_bbdev_op.h.

  uint8_t num_buffers_soft_out
Num soft output code block buffers if supported by the driver

Definition at line 865 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.